<?php
include("../config.php3");
include($BIB."bib_generic.php3");

##################################
# Administration script defaults #
##################################

# pas de timeout possible quelle que soit l'action effectuée
set_time_limit($TIME_LIMIT);

# le script continue une fois qu'il est lancé,
# quel que soit l'état de la connection après
ignore_user_abort(true); 
?>

<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Mise à jour des classements des clubs</div>
<br>


<?php
// je met à jour le tableau des résultats en fonction du résultat de ce match
function traitement_match($match, &$tab_resultats)
{
	$resultat = explode("-", $match['Result']);
	if (count($resultat) < 2)
	{
		// pas de résultat, on ne fait rien
		//echo "pas de résultat, on ne fait rien";
		return;
	}

	$team1 = $match['Team1'];
	$team2 = $match['Team2'];

	$tab_resultats[$team1]['Joues']++;
	$tab_resultats[$team2]['Joues']++;

	if (($team1 == 'Clermont Foot') OR ($team2 == 'Clermont Foot'))
		echo $match['Team1']." ".$match['Result']." ".$match['Team2']."<br>";
/*
	if ($team1 == 'Clermont Foot')
		echo "<br>Clermont Foot : ".$tab_resultats[$team1]['Joues']."<br>";
	elseif ($team2 == 'Clermont Foot')
		echo "<br>Clermont Foot : ".$tab_resultats[$team2]['Joues']."<br>";
*/

	$tab_resultats[$team1]['ButsPour'] += $resultat[0];
	$tab_resultats[$team2]['ButsPour'] += $resultat[1];

	$tab_resultats[$team1]['ButsContre'] += $resultat[1];
	$tab_resultats[$team2]['ButsContre'] += $resultat[0];
	
	if ($resultat[0] > $resultat[1])
	{
		// victoire de team1
		$tab_resultats[$team1]['Gagnes']++;
		$tab_resultats[$team2]['Perdus']++;

		$tab_resultats[$team1]['Points'] += 3;

	}
	elseif ($resultat[0] < $resultat[1])
	{
		// victoire de team2
		$tab_resultats[$team1]['Perdus']++;
		$tab_resultats[$team2]['Gagnes']++;

		$tab_resultats[$team2]['Points'] += 3;
	}
	else
	{
		// match nul
		$tab_resultats[$team1]['Nuls']++;
		$tab_resultats[$team2]['Nuls']++;

		$tab_resultats[$team1]['Points'] += 1;
		$tab_resultats[$team2]['Points'] += 1;
	}
}

function update_table($containerId, $tab_resultats)
{
	while(list($team,$resultat) = each($tab_resultats))
	{
		// 1. On regarde si la ligne existe
		$existant = db_fetch_array(main_db_query("SELECT Id FROM Classement_Clubs WHERE Name='".$team."' AND ContainerId='".$containerId."' LIMIT 0,1"));
		if ($existant['Id'] > 0)
		{
			$query = "UPDATE Classement_Clubs Set Name='".$team."', Points='".$resultat['Points']."', ".
			" Joues='".$resultat['Joues']."', Gagnes='".$resultat['Gagnes']."', Nuls='".$resultat['Nuls']."', ".
			"Perdus='".$resultat['Perdus']."', ButsPour='".$resultat['ButsPour']."', ButsContre='".$resultat['ButsContre']."', ".
			"ButsDifference='".($resultat['ButsPour'] - $resultat['ButsContre'])."', ".
			"Progression='".$resultat['Progression']."' WHERE Id='".$existant['Id']."'";
			if ($team == 'Clermont Foot')
				echo $query."<br>";
			flush();
			main_db_query($query);
		}
		else
		{
			$query = "INSERT INTO Classement_Clubs (Name, Points, Joues, Gagnes, Nuls, Perdus, ButsPour, ButsContre, ButsDifference, Progression, ContainerId) VALUES ".
			"('".$team."', '".$resultat['Points']."', '".$resultat['Joues']."', '".$resultat['Gagnes']."', '".$resultat['Nuls']."', '".$resultat['Perdus']."', '".$resultat['ButsPour']."', '".$resultat['ButsContre']."',  '".($resultat['ButsPour'] - $resultat['ButsContre'])."', '".$resultat['Progression']."', '".$containerId."')";
			if ($team == 'Clermont Foot')
				echo $query."<br>";
			flush();
			main_db_query($query);
		}
	}
}

$containers[0] = "1"; // container de la L1
$containers[1] = "2"; // container de la L2

for ($i = 0 ; $i < count($containers) ; $i++)
{
	$query = "Select CategoryId, Name FROM Categories WHERE Container='".$containers[$i]."' AND ShowTime>='".$DATE_DEBUT."' AND EndTime<='".$DATE_FIN."' ORDER BY EndTime ASC";
	echo $query."<br>";
	flush();
	echo "<br>";
	$categories = main_db_query($query);
	$tab_resultats = Array();
	while ($categorie = db_fetch_array($categories))
	{
		$query = "SELECT * FROM Matchs WHERE Category='".$categorie[CategoryId]."' AND Result!='0'";
		echo $query."<br>";
		flush();
		$matchs = main_db_query($query);
		echo $categorie['Name']. "(".$categorie['CategoryId'].") : ";
		while ($match = db_fetch_array($matchs))
		{
			traitement_match($match, $tab_resultats);
		}
	}
	update_table($containers[$i], $tab_resultats);
}


?>
